clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::CodeCompleteResult Struct Reference

`#include <CodeComplete.h>`

Collaboration diagram for clang::clangd::CodeCompleteResult:
[legend]

## Public Attributes
std::vector< CodeCompletion > | Completions
bool | HasMore = false
CodeCompletionContext::Kind | Context = CodeCompletionContext::CCC_Other

## Detailed Description

Definition at line 195 of file CodeComplete.h.

## Member Data Documentation

## ◆ Completions

std::vector<CodeCompletion> clang::clangd::CodeCompleteResult::Completions

Definition at line 196 of file CodeComplete.h.

Referenced by clang::clangd::operator<<().

## ◆ Context

CodeCompletionContext::Kind clang::clangd::CodeCompleteResult::Context = CodeCompletionContext::CCC_Other

Definition at line 198 of file CodeComplete.h.

Referenced by clang::clangd::operator<<().

## ◆ HasMore

bool clang::clangd::CodeCompleteResult::HasMore = false

Definition at line 197 of file CodeComplete.h.

Referenced by clang::clangd::operator<<().

The documentation for this struct was generated from the following file:

- CodeComplete.h